# Class SystemHook < WebHook

- app/models/system_hook.rb

## Schema Information

Table name: web_hooks

    id         :integer          not null, primary key
    url        :string(255)
    project_id :integer
    created_at :datetime         not null
    updated_at :datetime         not null
    type       :string(255)      default("ProjectHook")
    service_id :integer

Methods

A
  - all_hooks_fire,
  - async_execute

Class Public methods
all_hooks_fire(data) Link

Source: show

    # File app/models/system_hook.rb, line 15
    def self.all_hooks_fire(data)
      SystemHook.all.each do |sh|
        sh.async_execute data
      end
    end

Instance Public methods
async_execute(data) Link

Source: show

    # File app/models/system_hook.rb, line 21
    def async_execute(data)
      Resque.enqueue(SystemHookWorker, id, data)
    end